> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metriport.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Message Status

> Get the status of a message sent previously.

<Snippet file="in-construction.mdx" />

Returns the status of a specific message request - use this to check the progress of that message.

<Tip>
  We recommend using the `message.status`
  [webhook](/medical-api/handling-data/webhooks-with-nq#message-status)
  to receive delivery status updates instead of polling this
  endpoint.
</Tip>

## Path Params

<ParamField path="id" type="string" required>
  The ID of the message. This is returned when you [send a
  message](/medical-api/api-reference/message/send-message).
</ParamField>

## Response

Returns the Message at the top level (not wrapped).

<Snippet file="message-response.mdx" />

```json theme={null}
{
  "id": "00000000-0000-0000-0000-000000000000",
  "patientId": "11111111-1111-1111-1111-111111111111",
  "direction": "outbound",
  "status": "completed",
  "transportMethod": "xdr",
  "network": "EHEX",
  "destination": "2.16.840.1.113883.3.666.123.4.101",
  "subject": "Referral - cardiology",
  "body": "Please review the attached referral for cardiology consultation.",
  "attachments": ["00000000-0000-0000-0000-000000000000"],
  "intendedRecipientNpi": ["1234567890"],
  "sentAt": "2026-06-16T18:40:00.000Z",
  "updatedAt": "2026-06-16T18:42:11.000Z"
}
```

<ResponseExample>
  ```javascript Metriport SDK theme={null}
  import { MetriportMedicalApi } from "@metriport/api-sdk";

  const metriport = new MetriportMedicalApi("YOUR_API_KEY");

  const message = await metriport.getMessage(
    "00000000-0000-0000-0000-000000000000"
  );
  ```
</ResponseExample>


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.